LINUX.ORG.RU

разработка под IOS.


0

1

Приветствую, возник вопрос, что необходимо для разработки под ios? Обязателен ли mac? Что-нибудь с ios точно необходимо, одинаковы ли операционки под ipad и iphone.

Попросили написать кое-какое приложение, нужно оценить доп расходы, необходимые для разработки.


Нужен только Mac и Xcode, эмулятор в нем шикарен до такой степени, что реальный девайс не всегда нужен, но если вдруг захочешь по дебажить на реальных устройствах - нужен акк девелопера (99$/год)

Jefail ★★★ ()

что необходимо для разработки под ios?

Сертификат разработчика, стоит $99 в год.

Обязателен ли mac?

Да, есть какие-то тулчейны для виндов и линуксов, но не стоит с ними связываться.

Что-нибудь с ios точно необходимо, одинаковы ли операционки под ipad и iphone.

iPhone 3Gs, iPhone 4s и iPhone 5s, iPad 2 и iPad Air будет достаточно. Операционки одинаковы, но размеры экрана и разрешения разные.

PaRuSoft ★★★ ()
Ответ на: комментарий от Jefail

Эмулятор, на самом деле, не эмулятор, а симулятор. Прилужение в iOS-эмуляторе - это приложение собранное под хостовую ОС (x86_64, OS X), с фреймворками, эмулирующими iOS.

То есть, гарантий работоспособности приложения эмулятор не даёт вообще никаких. Эмулятор использовать можно, для скорости, но реальный девайс нужен всегда.

mono ★★★★★ ()
Ответ на: комментарий от PaRuSoft

Всё что не имеет iOS7 сейчас поддерживать нет никакого смысла.

mono ★★★★★ ()

Чтобы писать под IOS, нужна циска. Маки тут ваще ни при чём.

Miguel ★★★★★ ()
Ответ на: комментарий от mono

Всё что не имеет iOS7 сейчас поддерживать нет никакого смысла

вся суть яблока

garik_keghen ★★★★★ ()

Можно обойтись vmware и jail девайсом если для себя. Иначе покупать железку нужно.

Svoloch ★★★ ()
Ответ на: комментарий от garik_keghen

Да, с апдейстами у яблока всё хорошо.

mono ★★★★★ ()

mac

Сракинтош же, ну.

Ибо на mb air особо не подевелопишь, а покупать мак про ради одного приложения - строго нафих.

svr4 ()
Последнее исправление: svr4 (всего исправлений: 1)
Ответ на: комментарий от svr4

Ибо на mb air особо не подевелопишь

Более чем спорное утверждение. Настолько, что 4.2

ptarh ★★★★★ ()

Ставишь разлоченную VMWare, на нее OS X. Я так делал, пока мак не купил.

Meyer ★★★ ()

что необходимо для разработки под ios?

OS X и XСode. Разрабатывать можно, пользуясь симулятором iOS. Но в итоге все равно придется тестировать на реальном девайсе, для этого нужен сертификат разработчика.

Обязателен ли mac?

Нет, хакинтош сойдет.

cryptonymous ★★★ ()

Когда вы, идиоты, начнете различать IOS и iOS...

Pavval ★★★★★ ()

Приветствую, возник вопрос, что необходимо для разработки под ios?

Необходимо пистолет у виска

Обязателен ли mac?

Можно попытаться обойтись хакинтошем или патченой вмварью, но это лютый трэш.

Что-нибудь с ios точно необходимо, одинаковы ли операционки под ipad и iphone.

Одинаковы примерно как одинаков андроид на планшете и на телефоне.

no-dashi ★★★★★ ()
Ответ на: комментарий от Jefail

эмулятор в нем шикарен до такой степени, что реальный девайс не всегда нужен

Ну-ну... Я тоже в это верил :-)

no-dashi ★★★★★ ()
Ответ на: комментарий от Jefail

эмулятор в нем шикарен до такой степени, что реальный девайс не всегда нужен

Покажите мне в нем фото/видео камеру, а то нередко бывает нужно. И как сделать, чтобы на него приходили push-сообщения?

selim ()
Ответ на: комментарий от garik_keghen

iOS 7 поддерживается даже четвёртым айфоном, который вышел ещё в 2010 году, что-то не припоминаю ведроид-девайса того же года с продолжающейся до сих поддержкой.

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.